Bug 62873 - boot error message with hdg=ide-scsi
Summary: boot error message with hdg=ide-scsi
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 61590
TreeView+ depends on / blocked
 
Reported: 2002-04-06 21:59 UTC by Joshua Jensen
Modified: 2014-03-17 02:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-09 21:18:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joshua Jensen 2002-04-06 21:59:28 UTC
Description of Problem:

During boot, between the "Mounting root filesystem" and "Finding module
dependencies" messages, I see a message that is something like:

/dev/hdg:  no such file or device

I have a cdrw drive on /dev/hdg, therefor I have "hdg=ide-scsi" on the kernel
line from my grub.conf file:

kernel /vmlinuz-2.4.18-0.13 ro root=/dev/hde6 hdg=ide-scsi ide0=noprobe
ide1=noprobe ide2=ata66

I am not using and have not changed /etc/sysconfig/harddisk* at all.
I've noticed that if I boot without the "hdg=ide-scsi" parameter, I see a
more-sensible hdparm message (something about setting /dev/hdg to use DMA mode
0) in place of the error message.

Version-Release number of selected component (if applicable):

Hampton Beta 4

[root@thunderbird RPMS]# rpm -qf /etc/rc.d/rc.sysinit
initscripts-6.61-1


Thank you.

Comment 1 Nils Philippsen 2002-04-07 10:56:41 UTC
These lines from rc.sysinit cause the error:

[...]
# Turn off DMA on CD-ROMs. It more often than not causes problems.
if [ -e /proc/ide ]; then
  for N in `grep -v ide-disk /proc/ide/*/*/driver 2>/dev/null | awk -F / '{
print $5 }'`; do
   hdparm -d0 /dev/$N
  done
fi
[...]

First, rc.sysinit should check whether the device in question is ide-scsi and
depending on the result either do nothing or disable DMA differently (I don't
know if that can be done with hdparm, though). Second, hdparm should be quiet
("hdparm -q"):

[...]
# Turn off DMA on CD-ROMs. It more often than not causes problems.
if [ -e /proc/ide ]; then
  for N in `grep -v ide-disk /proc/ide/*/*/driver 2>/dev/null | awk -F / '{
print $5 }'`; do
   if [ -z "$(grep "$N=ide-scsi" /proc/cmdline)" ]; then
     #  no ide-scsi
     hdparm -q -d0 /dev/$N
   else
     # ide-scsi -- ignore or disable DMA differently
     [...]
   fi
  done
fi
[...]

Comment 2 Nils Philippsen 2002-04-08 22:48:25 UTC
Just noticed that rc.sysinit will ignore CDROMs/DVDs when evaluating
/etc/sysconfig/harddisk*. Very bad manners -- if I want wilfully to turn DMA on,
don't be standing in my way ;-). Watching DVDs just isn't possible with PIO (and
this is a 1.4GHz Athlon) and my DVD works very well with DMA, thank you. And
rc.local just isn't an option if there are hooks in rc.sysinit for it.

Maybe evaluate /etc/sysconfig/harddisk* for CDROMs/DVDs only when the user
waives all support right there? Maybe like this (/etc/sysconfig/harddiskhd*):

[...]
# DMA on CDROM or DVD causes many problems.
# Do not turn this on unless you know what you're doing. This configuration
# isn't supported!
#I_KNOW_WHAT_IM_DOING=1
[...]

Comment 3 Bill Nottingham 2002-04-10 05:26:24 UTC
The error messages should go away in initscripts-6.62-1.


Note You need to log in before you can comment on or make changes to this bug.